## ros-indigo-mavros 0.17.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mavros)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  diagnostic_msgs
  diagnostic_updater
  pluginlib
  roscpp
  geometry_msgs
  sensor_msgs
  nav_msgs
  std_msgs
  std_srvs
  tf2_ros
  angles
  libmavconn
  rosconsole_bridge
  eigen_conversions
  mavros_msgs
)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)
find_package(Boost REQUIRED COMPONENTS system)

find_package(Eigen3)
if(NOT EIGEN3_FOUND)
  # Fallback to cmake_modules
  find_package(cmake_modules REQUIRED)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
  set(EIGEN3_LIBRARIES ${EIGEN_LIBRARIES})
endif()

include(EnableCXX11)
include(MavrosMavlink)

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
catkin_python_setup()


###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES mavros
  CATKIN_DEPENDS diagnostic_msgs diagnostic_updater pluginlib roscpp sensor_msgs nav_msgs std_msgs tf2_ros geometry_msgs libmavconn message_runtime eigen_conversions mavros_msgs
  DEPENDS Boost Eigen
)

###########
## Build ##
###########

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${mavlink_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIRS}
)

add_library(mavros
  src/lib/uas_data.cpp
  src/lib/uas_stringify.cpp
  src/lib/uas_timesync.cpp
  src/lib/uas_sensor_orientation.cpp
  src/lib/uas_frame_conversions.cpp
  src/lib/uas_quaternion_utils.cpp
  src/lib/mavros.cpp
  src/lib/mavlink_diag.cpp
  src/lib/rosconsole_bridge.cpp
)
target_link_libraries(mavros
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)
add_dependencies(mavros mavros_msgs_generate_messages_cpp)

add_library(mavros_plugins
  src/plugins/dummy.cpp
  src/plugins/sys_status.cpp
  src/plugins/sys_time.cpp
  src/plugins/imu_pub.cpp
  src/plugins/param.cpp
  src/plugins/waypoint.cpp
  src/plugins/rc_io.cpp
  src/plugins/command.cpp
  src/plugins/local_position.cpp
  src/plugins/global_position.cpp
  src/plugins/setpoint_position.cpp
  src/plugins/safety_area.cpp
  src/plugins/3dr_radio.cpp
  src/plugins/setpoint_velocity.cpp
  src/plugins/setpoint_accel.cpp
  src/plugins/setpoint_attitude.cpp
  src/plugins/setpoint_raw.cpp
  src/plugins/vfr_hud.cpp
  src/plugins/ftp.cpp
  src/plugins/actuator_control.cpp
  src/plugins/manual_control.cpp
  src/plugins/altitude.cpp
  src/plugins/hil_controls.cpp
)
add_dependencies(mavros_plugins
  mavros
)
target_link_libraries(mavros_plugins
  mavros
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)

## Declare a cpp executable
add_executable(mavros_node
  src/mavros_node.cpp
)
add_dependencies(mavros_node
  mavros
)
target_link_libraries(mavros_node
  mavros
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)

add_executable(gcs_bridge
  src/gcs_bridge.cpp
)
target_link_libraries(gcs_bridge
  mavros
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
file(GLOB SCRIPTS ${PROJECT_SOURCE_DIR}/scripts/*)
catkin_install_python(PROGRAMS
  ${SCRIPTS}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark executables and/or libraries for installation
install(TARGETS mavros mavros_plugins mavros_node gcs_bridge
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

## Mark other files for installation (e.g. launch and bag files, etc.)
install(FILES
  mavros_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)

catkin_add_gtest(libmavros-frame-conversions-test test/test_frame_conversions.cpp)
target_link_libraries(libmavros-frame-conversions-test mavros)

catkin_add_gtest(libmavros-sensor-orientation-test test/test_sensor_orientation.cpp)
target_link_libraries(libmavros-sensor-orientation-test mavros)

catkin_add_gtest(libmavros-quaternion-utils-test test/test_quaternion_utils.cpp)
target_link_libraries(libmavros-quaternion-utils-test mavros)

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

endif()

# vim: ts=2 sw=2 et:

=== debian/changelog ===
ros-indigo-mavros (0.17.5-0trusty) trusty; urgency=high

  * Pthread fix for OSX (#650 <https://github.com/mavlink/mavros/issues/650>)
    * fix pthread and missing defines for osx
    * adapted their style using tabs
    * fix elif to else
  * Fixing a typo in HIL_CONTROLS plugin
  * Contributors: Fadri Furrer, Pavel

 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 07 Feb 2017 00:00:00 -0000

ros-indigo-mavros (0.17.4-0trusty) trusty; urgency=high

  * Ran uncrustify on hil_controls plugin
  * Utilizing synchronise_stamp and adding reference to MAVLINK msg documentation
  * Added a plugin that publishes HIL_CONTROLS as ROS messages
  * Revert "readme: update CI, no more MAVLINK_DIALECT"
    This reverts commit 1510deb2c5db12441cf9e44175fdb8a8889a8af6.
  * readme: update CI, no more MAVLINK_DIALECT
  * Contributors: Pavel, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 23 Jun 2016 00:00:00 -0000

ros-indigo-mavros (0.17.3-0trusty) trusty; urgency=high

  * libmavconn #543 <https://github.com/mavlink/mavros/issues/543>: support build with mavlink 2.0 capable mavgen
  * node: Remove warning about MAVLINK_VERSION redefine
  * Fix bug with orientation in setpoint_raw plugin
    Fixes a bug where the ned_desired_orientation was not actually passed into set_attitude_target. Instead, the desired_orientation (wrong frame) was passed.
  * Contributors: Justin Thomas, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 20 May 2016 00:00:00 -0000

ros-indigo-mavros (0.17.2-0trusty) trusty; urgency=high

  * Update README.md
  * Update README.md
    Updated / completed examples.
  * Update README.md
  * Fix for kinetic std::isnan.
  * Contributors: James Goppert, Lorenz Meier

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 29 Apr 2016 00:00:00 -0000

ros-indigo-mavros (0.17.1-0trusty) trusty; urgency=high

  * lib: Add QLAND mode of APM:Plane
    https://github.com/mavlink/mavlink/commit/a0ed95c3a7d97a8f8d86ce3f95c4bf269f439c46
  * Update contributing guide
    We forgot to mention uncrustify commit.
  * Treat submarine vehicles like copter vehicles
  * Contributors: Josh Villbrandt, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 28 Mar 2016 00:00:00 -0000

ros-indigo-mavros (0.17.0-0trusty) trusty; urgency=high

  * update README
  * rebased with master
  * Fixed ROS_BREAK
  * Updates for ROS_BREAK and code style
  * Nitpicks and uncrustify
  * Updated frame transformations and added odom publisher to local position plugin
  * Contributors: Eddy, Vladimir Ermakov, francois

 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 09 Feb 2016 00:00:00 -0000

ros-indigo-mavros (0.16.6-0trusty) trusty; urgency=high

  * node fix #494 <https://github.com/mavlink/mavros/issues/494>: Report FCU firmware type in rosonsole log
  * scripts fix #478 <https://github.com/mavlink/mavros/issues/478>: Remove guided_enable garbage.
    I'm missed this when do #407 <https://github.com/mavlink/mavros/issues/407>.
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 04 Feb 2016 00:00:00 -0000

ros-indigo-mavros (0.16.5-0trusty) trusty; urgency=high

  * scripts: mavwp #465 <https://github.com/mavlink/mavros/issues/465>: Remove WaypointGOTO from scrips and python library
  * node: Report mavlink package version
  * lib: Add APM:Plane QuadPlane modes.
    Sync with: https://github.com/mavlink/mavlink/commit/1fc4aef08a54130f297943c246f95b8c7e37b1bf
  * readme: pixhawk dialect removed.
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 11 Jan 2016 00:00:00 -0000

ros-indigo-mavros (0.16.4-0trusty) trusty; urgency=high

  * scripts: checkid: be always verbose, add --follow
  * scripts: fix copyright indent
  * scripts: mavcmd: Fix bug: param7 not passed to service call!
  * scripts #382 <https://github.com/mavlink/mavros/issues/382>: Add ID checker script.
    It is not complete, but i hope it helps in current state.
  * scripts: mavcmd: Add support for broadcast requests
  * event_launcher: fix bug: Trigger service server is not saved in Launcher
    Also fixes: environment variables may contain ~ (user dir) in expansion.
  * using timestamp from mavlink message
  * Update mavlink message documentation links
  * lib: update MAV_TYPE stringify
  * lib: Add RATTITUDE PX4 mode
  * remove "altitude_" prefix from members
  * updated copyright
  * implemented altitude plugin
  * Contributors: Andreas Antener, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 14 Dec 2015 00:00:00 -0000

ros-indigo-mavros (0.16.3-0trusty) trusty; urgency=high

  * use safe methods to get imu data in local_position plugin
  * Contributors: Andreas Antener

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 19 Nov 2015 00:00:00 -0000

ros-indigo-mavros (0.16.2-0trusty) trusty; urgency=high

  * transform yaw and yaw rate from enu to ned
  * Contributors: Andreas Antener

 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 17 Nov 2015 00:00:00 -0000

ros-indigo-mavros (0.16.1-0trusty) trusty; urgency=high

  * python: fix import error of goto service
  * don't warn anymore about px4 not supporting rc_io
  * Contributors: Andreas Antener, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 13 Nov 2015 00:00:00 -0000

ros-indigo-mavros (0.16.0-0trusty) trusty; urgency=high

  * lib: Update ArduCopter mode list
  * plugin: sys_status #423 <https://github.com/mavlink/mavros/issues/423>: set_mode set arming and HIL flags based on previous state
  * lib #423 <https://github.com/mavlink/mavros/issues/423>: Save base_mode in UAS.
  * Finalized local position topic names
  * readme: add link to catkin-tools docs
  * readme #409 <https://github.com/mavlink/mavros/issues/409>: merge mavlink and mavros installation instruction
  * Fixed redundant rotation of IMU data and redundant orientation data
  * plugin: setpoint_raw fix #418 <https://github.com/mavlink/mavros/issues/418>: add attitude raw setpoint


=== debian/control ===
Source: ros-indigo-mavros
Section: misc
Priority: extra
Maintainer: Vladimir Ermakov <vooon341@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libeigen3-dev, libgtest-dev, ros-indigo-angles, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-libmavconn, ros-indigo-mavlink, ros-indigo-mavros-msgs, ros-indigo-nav-msgs, ros-indigo-pluginlib, ros-indigo-rosconsole-bridge, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf2-ros
Homepage: http://wiki.ros.org/mavros
Standards-Version: 3.9.2

Package: ros-indigo-mavros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libeigen3-dev, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-libmavconn, ros-indigo-mavlink, ros-indigo-mavros-msgs, ros-indigo-message-runtime, ros-indigo-nav-msgs, ros-indigo-pluginlib, ros-indigo-rosconsole-bridge, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf2-ros
Description: MAVROS -- MAVLink extendable communication node for ROS with proxy for Ground Control Station.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-mavros//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
